Skip to content

getSupplierQuote

READ

Get supplier quote.

POST /api/v1/purchasing/getSupplierQuote
curl -X POST '<your-host>/api/v1/purchasing/getSupplierQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierQuoteId": "string"
  }'
Response
{
  "assignee": "string",
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "currencyCode": "string",
  "customFields": "…",
  "exchangeRate": 0,
  "exchangeRateUpdatedAt": "string",
  "expirationDate": "string",
  "externalLinkId": "string",
  "externalNotes": "…",
  "id": "string",
  "internalNotes": "…",
  "itemType": "Part",
  "quotedDate": "string",
  "revisionId": 0,
  "status": "Cancelled",
  "supplierContactId": "string",
  "supplierId": "string",
  "supplierInteractionId": "string",
  "supplierLocationId": "string",
  "supplierQuoteId": "string",
  "supplierQuoteType": "Purchase",
  "supplierReference": "string",
  "tags": [
    "string"
  ],
  "thumbnailPath": "string",
  "updatedAt": "string",
  "updatedBy": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierQuoteId": {
      "type": "string"
    }
  },
  "required": [
    "supplierQuoteId"
  ]
}